GETGBOOK(1)

NAME
getgbook - downloads books from google books

SYNOPSIS
getgbook [-c|-n] bookid

DESCRIPTION
getgbook downloads pages of books from google books' "book preview" service. Some pages are not available, in which case they will be skipped.

OPTIONS

-c  Downloads from page codes given on stdin (one code per line). Google books page codes are on of the following, followed by a number: PP PR PA PT

-n  Downloads from page numbers given on stdin (one number per line).

bookid
    is the unique ID Google assigns to each book. It is 12 characters long. It can be found by looking for the 'id=' part of the URL of its Google Books page.

NOTES
Some pages of "limited preview" books are never available.

Book pages vary in availability depending on the location of your IP.

getgbook will not try to download pages that have already been downloaded, so stopping and then starting it later will continue from where it left off.

getgbook uses several cookies to get as many pages as possible. However Google Books also limits the number of pages based on IP address, for 24 hours. Therefore if not all pages are downloaded it may be worth rerunning getgbook in 24 hours, or from a different IP.

Google makes the scans for many books it believes to be in the public domain available to download directly from http://www.archive.org/details/googlebooks

EXAMPLES

download all of a book
    getgbook ta1uaL7RF5g

download the first 100 pages of a book
    seq 100 | getgbook -n ta1uaL7RF5g

download specific pages from a list with one page number per line
    getgbook -n ta1uaL7RF5g < pagelist.txt

SEE ALSO
getabook(1), getbnbook(1), getxbookgui(1)